test: _NDIS_WAN_GET_STATS struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _NDIS_WAN_GET_STATS Struct Reference

`#include <ndismain.h>`

List of all members.

## Public Attributes

IN UCHAR | LocalAddress [6]
OUT ULONG | BytesSent
OUT ULONG | BytesRcvd
OUT ULONG | FramesSent
OUT ULONG | FramesRcvd
OUT ULONG | CRCErrors
OUT ULONG | TimeoutErrors
OUT ULONG | AlignmentErrors
OUT ULONG | SerialOverrunErrors
OUT ULONG | FramingErrors
OUT ULONG | BufferOverrunErrors
OUT ULONG | BytesTransmittedUncompressed
OUT ULONG | BytesReceivedUncompressed
OUT ULONG | BytesTransmittedCompressed
OUT ULONG | BytesReceivedCompressed

## Member Data Documentation

OUT ULONG _NDIS_WAN_GET_STATS::AlignmentErrors

| Definition at line 339 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::BufferOverrunErrors

| Definition at line 342 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::BytesRcvd

| Definition at line 334 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::BytesReceivedCompressed

| Definition at line 346 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::BytesReceivedUncompressed

| Definition at line 344 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::BytesSent

| Definition at line 333 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::BytesTransmittedCompressed

| Definition at line 345 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::BytesTransmittedUncompressed

| Definition at line 343 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::CRCErrors

| Definition at line 337 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::FramesRcvd

| Definition at line 336 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::FramesSent

| Definition at line 335 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::FramingErrors

| Definition at line 341 of file ndismain.h.

IN UCHAR _NDIS_WAN_GET_STATS::LocalAddress[6]

| Definition at line 332 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::SerialOverrunErrors

| Definition at line 340 of file ndismain.h.

OUT ULONG _NDIS_WAN_GET_STATS::TimeoutErrors

| Definition at line 338 of file ndismain.h.

The documentation for this struct was generated from the following file:

- ndismain.h